.pull-right
  %div
    - if @notes_count > 0
      %span.btn.disabled.btn-grouped
        %i.icon-comment
        = @notes_count
    .pull-left.btn-group
      %a.btn.btn-grouped.dropdown-toggle{ data: {toggle: :dropdown} }
        %i.icon-download-alt
        = t("projects_section.commit.download_as")
        %span.caret
      %ul.dropdown-menu
        %li= link_to t("projects_section.commit.email_patch"), project_commit_path(@project, @commit, format: :patch)
        %li= link_to t("projects_section.commit.plain_diff"), project_commit_path(@project, @commit, format: :diff)
    = link_to project_tree_path(@project, @commit), class: "btn btn-primary btn-grouped" do
      %span
        = t("projects_section.commit.browse_code")
  %div

%p
  %span.light
    = t("projects_section.commit.commit")
  = link_to @commit.id, project_commit_path(@project, @commit)
.commit-info-row
  %span.light
    = t("projects_section.commit.authored_by")
  %strong
    = commit_author_link(@commit, avatar: true, size: 24)
  #{time_ago_with_tooltip(@commit.authored_date)}

- if @commit.different_committer?
  .commit-info-row
    %span.light
      = t("projects_section.commit.commited_by")
    %strong
      = commit_committer_link(@commit, avatar: true, size: 24)
    #{time_ago_with_tooltip(@commit.committed_date)}

.commit-info-row
  %span.cgray
    = t("projects_section.commit.parent", count: @commit.parents.count)
  - @commit.parents.each do |parent|
    = link_to parent.id[0...10], project_commit_path(@project, parent)

- if @branches.any?
  .commit-info-row
    %span.cgray
      = t("projects_section.commit.exists_in")
    %span
      - branch = commit_default_branch(@project, @branches)
      = link_to(branch, project_tree_path(@project, branch))
      - if @branches.any?
        = t("projects_section.commit.and_in")
        = link_to(t("projects_section.commit.other_branch", count: @branches.count), "#", class: "js-details-expand")
        %span.js-details-content.hide
          = commit_branches_links(@project, @branches)

.commit-box
  %h3.commit-title
    = gfm escape_once(@commit.title)
  - if @commit.description.present?
    %pre.commit-description
      = gfm escape_once(@commit.description)
